<ng-container *ngIf="post">
  <div class="columns is-marginless">
    <div class="column is-narrow image-item is-hidden-mobile">
      <div class="post-image" [ngStyle]="{'background-image': 'url(' + post.content.featureImage + ') '}">
      </div>
    </div>
    <div class="column is-7 description-item">
      <div class="post-description">
        <p class="post-description-date">
          {{ post.content.publicationDate | date: 'dd.MM.yyyy' }} &nbsp;
          {{post.content.category ? ' ' + notificationMessages.edito.news + ' : ' + post.content.category : ''}} &nbsp;
          {{post.extras && post.extras.observatoire ? 'Observatoire ' +post.extras.observatoire : ''}}
        </p>

        <a *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.news; else elseBlock" [routerLink]="['/', AppRoutes.news.uri, post.slug]" class="link-without-decoration">
          <span class="post-description-title" [innerHTML]="!post.content.titleHighlight ? post.content.title :
            post.content.titleHighlight">
          </span>
        </a>
        <ng-template #elseBlock>
          <a  [href]="post.content.url" target="_blank" class="link-without-decoration">
            <span class="post-description-title" [innerHTML]="!post.content.titleHighlight ? post.content.title :
              post.content.titleHighlight">
            </span>
          </a>
        </ng-template>
       
      </div>

      <div class="content">
        <p [innerHTML]="post.content.highlight.length > 0  ?
          post.content.highlight.join('&nbsp;[...]&nbsp;') : post.content.excerpt"></p>
      </div>
    </div>
  </div>

</ng-container>